Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.message
Class SearchRequest

    java.lang.Object
      |
      +--org.openspml.message.SpmlRequest
            |
            +--org.openspml.message.SearchRequest

public class SearchRequest
extends SpmlRequest

A class used to represent a `searchRequest` element.

This includes a search base to constrain the search, a filter to further constraint the search, and a set of attributes to return from objects that match the search criteria.

Field Summary
`static java.lang.String` | `EL_SEARCH_BASE`

Fields inherited from class org.openspml.message.SpmlRequest
`EXEC_ASYNCHRONOUS, EXEC_SYNCHRONOUS`

Constructor Summary
`SearchRequest()`

Method Summary
`void` | `addAttribute(java.lang.String s)`
`void` | `addCondition(java.lang.String attname, java.lang.String value)` Convenience method to add a common equality comparison.
`void` | `addFilterTerm(FilterTerm term)` Convenience method to add a filter term.
`SpmlResponse` | `createResponse()` Build an empty SpmlRequest object that corresponds to this request.
`java.util.List` | `getAttributes()`
`java.lang.String` | `getElementName()` Return the tag name for the request element.
`Filter` | `getFilter()`
`Identifier` | `getSearchBase()`
`void` | `setAttributes(java.util.List l)`
`void` | `setFilter(Filter f)`
`void` | `setSearchBase(Identifier i)`
`void` | `setSearchBase(java.lang.String s)`

Methods inherited from class org.openspml.message.SpmlRequest
`dumpFile, getIdentifier, getIdentifierString, getOperationalAttribute, getOperationalAttributes, getOperationalAttributeValue, getRequestId, isAsynchronous, parseRequest, parseRequest, setAsynchronous, setIdentifier, setIdentifier, setOperationalAttribute, setOperationalAttribute, setOperationalAttributes, setRequestId, toXml, toXml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EL_SEARCH_BASE

    public static final java.lang.String EL_SEARCH_BASE

Constructor Detail

### SearchRequest

    public SearchRequest()

Method Detail

### createResponse

    public SpmlResponse createResponse()

  Description copied from class: SpmlRequest
  Build an empty SpmlRequest object that corresponds to this request. Used in a few error conditions to return the expected response object when one was not actually sent back from the server.
  Overrides:
    createResponse in class SpmlRequest

### setSearchBase

    public void setSearchBase(Identifier i)

### setSearchBase

    public void setSearchBase(java.lang.String s)

### setFilter

    public void setFilter(Filter f)

### setAttributes

    public void setAttributes(java.util.List l)

### addAttribute

    public void addAttribute(java.lang.String s)

### addCondition

    public void addCondition(java.lang.String attname,
                             java.lang.String value)

  Convenience method to add a common equality comparison.

### addFilterTerm

    public void addFilterTerm(FilterTerm term)

  Convenience method to add a filter term.

### getSearchBase

    public Identifier getSearchBase()

### getFilter

    public Filter getFilter()

### getAttributes

    public java.util.List getAttributes()

### getElementName

    public java.lang.String getElementName()

  Description copied from class: SpmlRequest
  Return the tag name for the request element.
  Overrides:
    getElementName in class SpmlRequest

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD